Template::Plugin::Dumper(3)

NAME
Template::Plugin::Dumper - Plugin interface to Data::Dumper

SYNOPSIS
    [% USE Dumper %]

    [% Dumper.dump(variable) %]
    [% Dumper.dump_html(variable) %]

DESCRIPTION
This is a very simple Template Toolkit Plugin Interface to the Data::Dumper module. A Dumper object will be instantiated via the following directive:

    [% USE Dumper %]

As a standard plugin, you can also specify its name in lower case:

    [% USE dumper %]

The Data::Dumper 'Pad', 'Indent' and 'Varname' options are supported as constructor arguments to affect the output generated. See Data::Dumper for further details.

    [% USE dumper(Indent=0, Pad="<br>") %]

These options can also be specified in lower case.

    [% USE dumper(indent=0, pad="<br>") %]

METHODS
There are two methods supported by the Dumper object. Each will output into the template the contents of the variables passed to the object method.

  dump()
Generates a raw text dump of the data structure(s) passed

    [% USE Dumper %]
    [% Dumper.dump(myvar) %]
    [% Dumper.dump(myvar, yourvar) %]

  dump_html()
Generates a dump of the data structures, as per dump(), but with the characters <, > and & converted to their equivalent HTML entities and newlines converted to <br>.

    [% USE Dumper %]
    [% Dumper.dump_html(myvar) %]

AUTHOR
Simon Matthews <sam@knowledgepool.com>

VERSION
2.7, distributed as part of the Template Toolkit version 2.19, released on 27 April 2007.

COPYRIGHT
Copyright (C) 2000 Simon Matthews All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Template::Plugin, Data::Dumper